module command.simpleremotecontrol.simpleremotecontrol;

import command.simpleremotecontrol.command;

class SimpleRemoteControl
{
    Command slot;

    void setCommand(Command command)
    {
        slot = command;
    }

    void buttonWasPressed()
    {
        slot.execute();
    }
}
